Bug 1196766 - Build double-conversion with cmake
Summary: Build double-conversion with cmake
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: double-conversion
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Milan Bouchet-Valat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1076793
TreeView+ depends on / blocked
 
Reported: 2015-02-26 16:52 UTC by Orion Poplawski
Modified: 2015-03-11 15:13 UTC (History)
2 users (show)

Fixed In Version: double-conversion-2.0.1-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-11 15:13:19 UTC
Type: Bug


Attachments (Terms of Use)
patch to use cmake to build (6.56 KB, application/mbox)
2015-02-26 16:52 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2015-02-26 16:52:34 UTC
Created attachment 995697 [details]
patch to use cmake to build

Description of problem:

Building double-conversion with cmake would install the cmake files that would allow other cmake using project to automatically find the double-conversion library - in particular InsightToolkit.

The other change here is dropping the _pic.a static library and making the .a build with -fPIC.  In general now, .a's are useless without -fPIC.  Although I'd just drop the static lib completely.

Comment 1 Orion Poplawski 2015-02-26 17:06:06 UTC
Still have some issues to fix with this...

Comment 2 Milan Bouchet-Valat 2015-02-26 17:31:59 UTC
Looks OK, except that if would be good to fix the hardcoded paths upstream if possible, instead of calling sed.

Also, minor detail: could you use pushdir/popdir and indent the code between them instead of using "cd build-static ... cd -"? Looks clearer to me.

Comment 3 Orion Poplawski 2015-02-26 17:40:58 UTC
(In reply to Milan Bouchet-Valat from comment #2)
> Looks OK, except that if would be good to fix the hardcoded paths upstream
> if possible, instead of calling sed.

Yeah, upstream issue is here: https://github.com/floitsch/double-conversion/issues/8

> Also, minor detail: could you use pushdir/popdir and indent the code between
> them instead of using "cd build-static ... cd -"? Looks clearer to me.

Okay.

Comment 4 Orion Poplawski 2015-03-02 20:22:22 UTC
Milan -  I've pushed an updated cmake branch.  Can you take a look?  Thanks.

Comment 5 Milan Bouchet-Valat 2015-03-03 21:07:28 UTC
Thanks. Looks good to me, assuming you've tested it. Feel free to merge, build and make updates if you need them.

Maybe just change this:
cd build-shared
ctest -V
to
build-shared/ctest -V
or to
pushd build-shared
    ctest -V
popd

Comment 6 Orion Poplawski 2015-03-11 15:13:19 UTC
Done, thanks.


Note You need to log in before you can comment on or make changes to this bug.